node-uuid (14.0.0+~11.0.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 14.0.0 (Closes: CVE-2026-41988)
  * Switch build system to TypeScript (upstream rewrite):
  * Build-Depends:
    + add node-typescript (>= 5.2)
    - drop node-babel7, rollup, node-rollup-plugin-*, uglifyjs, jest (jest
      test runner replaced by node --test)
  * Drop obsolete patches: skip-npm-command, use-babeljs-command,
    fix-for-rollup-3, drop-one-test
  * Declare compliance with policy 4.7.4
  * Add Breaks against previous node-http-signature, node-istanbul,
    node-jest-junit, node-sockjs

 -- Xavier Guimard <yadd@debian.org>  Fri, 24 Apr 2026 21:19:38 +0200

node-uuid (8.3.2+~8.3.4-3) unstable; urgency=medium

  * Fix a regression: @types not shipped

 -- Bastien Roucariès <rouca@debian.org>  Fri, 20 Feb 2026 00:31:57 +0100

node-uuid (8.3.2+~8.3.4-2) unstable; urgency=medium

  * Team upload
  * MA: foreign

 -- Bastien Roucariès <rouca@debian.org>  Tue, 17 Feb 2026 11:53:03 +0100

node-uuid (8.3.2+~8.3.4-1) unstable; urgency=medium

  * Team upload
  * Update lintian override info format in d/source/lintian-overrides
    on line 2-3, 6-8.
  * Declare compliance with policy 4.7.0
  * New upstream version 8.3.2+~8.3.4
  * Drop one test that needs an older jest (Closes: #1072605)

 -- Yadd <yadd@debian.org>  Wed, 12 Jun 2024 18:28:37 +0400

node-uuid (8.3.2+~8.3.3-4) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.6.2
  * Fix clean (Closes: #1045277)

 -- Yadd <yadd@debian.org>  Mon, 14 Aug 2023 08:33:27 +0400

node-uuid (8.3.2+~8.3.3-3) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.1, no changes needed.
  * Add fix for rollup 3 (Closes: #1022656)

 -- Yadd <yadd@debian.org>  Thu, 27 Oct 2022 14:38:59 +0200

node-uuid (8.3.2+~8.3.3-2) unstable; urgency=medium

  * Team upload
  * Drop useless test dependency to node-babel-eslint

 -- Yadd <yadd@debian.org>  Wed, 16 Mar 2022 15:55:35 +0100

node-uuid (8.3.2+~8.3.3-1) unstable; urgency=medium

  * Team upload
  * Add ctype=nodejs to component(s)
  * Update standards version to 4.6.0, no changes needed.
  * New upstream version 8.3.2+~8.3.3

 -- Yadd <yadd@debian.org>  Sun, 21 Nov 2021 18:12:01 +0100

node-uuid (8.3.2+~8.3.0-4) unstable; urgency=medium

  * Team upload
  * Add test dependency to node-json-stringify-safe (Closes: #980679)

 -- Xavier Guimard <yadd@debian.org>  Thu, 21 Jan 2021 20:51:52 +0100

node-uuid (8.3.2+~8.3.0-3) unstable; urgency=medium

  * Use node-rollup-plugin-terser and drop legacy node-resolve plugin

 -- Pirate Praveen <praveen@debian.org>  Wed, 30 Dec 2020 15:32:44 +0530

node-uuid (8.3.2+~8.3.0-2) unstable; urgency=medium

  * Team Upload

  * hand over package to Pirate Praveen:
    major package restructuring (pkg-js-tools abstractions)
    and regressions (privacy breach and hidden embedded code)
    have alienated the package for the previous maintainer

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 16 Dec 2020 12:43:53 +0100

node-uuid (8.3.2+~8.3.0-1) unstable; urgency=medium

  * Team Upload

  * New upstream version 8.2.0
  * Update watch file to download 8.x versions
  * Switch to upstream/latest branch for upstream
  * New upstream version 8.3.2+~8.3.0
  * Refresh patches
  * Add node-babel-eslint as build dependency
  * Disable eslint as eslint-plugin-prettier is not packaged
  * Switch to jest from mocha for tests
  * Build using scripts/build.sh
  * Use dh-sequence-nodejs auto install (remove debian/install)
  * Embed random-seed as test only module
  * Use debian/tests/pkg-js/test for running tests (also autopkgtests)
  * Update lintian overrides
  * Update path for md5-browser.js (lib => src) in debian/copyright
  * Don't install bin/uuid for now
  * Add Breaks against packages that need a patch

 -- Pirate Praveen <praveen@debian.org>  Wed, 09 Dec 2020 15:59:26 +0530

node-uuid (3.4.0+~3.4.9-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Debian Janitor ]
  * build-depend on debhelper-compat (not debhelper)
  * set upstream metadata fields:
    Bug-Database Bug-Submit Repository Repository-Browse

  [ Jonas Smedegaard ]
  * set gbp.conf to use git branches debian/unstable upstream/3.x
  * drop obsolete transitional package node-node-uuid
  * update watch file:
    + simplify regular expressions
    + use substitution strings
    + tighten to track ony 3.x versions
    + add usage comment
  * embed typescript types
  * Update upstream Homepage, Upstream-Contact and Source URLs
  * Update Upstream-Contact, and adapt long description
  * fix stop install source for pre-generated README
  * install typescript types
  * fix mention support for v5 UUIDs in long description
    (available since 3.3.2-1),
    and sync with synopsis of README while at it
  * declare compliance with Debian Policy 4.5.1
  * stop depend on nodejs
  * copyright: update coverage
  * simplify source script copyright-check
  * use debhelper compatibility mode 13 (not 9)
  * generate documentation as html and plaintext from markdown;
    build-depend on pandoc
  * provide virtual package node-types-uuid;
    build-depend on jq
  * check testsuite, and lint-check code;
    build-depend on eslint mocha
  * install below /usr/share/nodejs (not /usr/lib/nodejs)
  * add patch 2001 to avoid prviacy leaks in documentation
  * override lintian warning for unusually long code lines in source

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 30 Nov 2020 23:21:26 +0100

node-uuid (3.3.2-2) unstable; urgency=medium

  * Team upload
  * Files are installed under uuid now instead of node-uuid

 -- W. Martin Borgert <debacle@debian.org>  Sat, 29 Sep 2018 00:58:58 +0000

node-uuid (3.3.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version (Closes: #895625)
  * Rename binary package node-node-uuid to node-uuid
  * Drop binary package libjs-node-uuid
  * Set Vcs fields to salsa

 -- W. Martin Borgert <debacle@debian.org>  Sun, 23 Sep 2018 16:35:25 +0000

node-uuid (1.4.7-5) unstable; urgency=medium

  * Add autopkgtests.
    Thanks to Pirate Praveen.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Feb 2018 16:00:43 +0100

node-uuid (1.4.7-4) unstable; urgency=medium

  * No-opt release to fix uncoordinated problematic release.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Feb 2018 15:15:03 +0100

node-uuid (1.4.7-2) unstable; urgency=medium

  * Fix symlink.
    Closes: Bug#887069. Thanks to Pirate Praveen and others.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Feb 2018 13:04:59 +0100

node-uuid (1.4.7-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Modernize git-buildpackage config:
    + Drop git- prefix.
    + Filter any .git* file.
  * Update watch file:
    + Limit to 1.x.
    + Bump file format to version 4.
    + Use github pattern from documentation.
    + Add usage comment.
    + Use substitution strings.
  * Drop cdbs:
    + Drop upstream-tarball hints: Use gbp import-orig --uscan.
    + Stop resolve package relations in rules file.
    + Do copyright-check in maintainer script (not during build).
    + Use short-form dh sequencer (not cdbs).
    + Stop build-depend on devscripts cdbs.
  * Stop build-depend on dh-buildinfo.
  * Fix install nodejs code into subdirectory.
    See e.g. Bug#772835.
  * Fix have node-node-uuid install package.json.
  * Use dephelper compatibility level 9 (not 8).
  * Modernize Vcs-* fields:
    + Use protocol https (not http or git).
    + Use git (not cgit) in path.
    + Include .git suffix in path.
  * Declare compliance with Debian Policy 4.1.3.
  * Improve short and long descriptions.
  * Use package section javascript (not web).
  * Drop obsolete transitional Breaks/Conflicts/Replaces.
  * Update copyright info:
    + Change main license to only Expat (from Expat or GPL.
    + Use License-Grant and License-Reference fields. Thanks to Ben Finney.
    + Extend coverage for myself.
    + Use https protocol in file format URL.
    + Rewrap using semantic newlines.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Jan 2018 21:24:34 +0100

node-uuid (1.4.0-1) unstable; urgency=low

  [ upstream ]
  * New release.
    + Improved module context detection.
    + Removed public RNG functions.

  [ Jonas Smedegaard ]
  * Update rules files to directly use github.com URL (not
    githubredir.debian.net).
  * Extend copyright coverage for main upstream author to include recent
    years.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 15 Aug 2013 20:36:44 +0200

node-uuid (1.3.3-2) unstable; urgency=low

  * Add README.source emphasizing control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Stop tracking md5sum of upstream tarball.
  * Bump dephelper compatibility level to 8.
  * Bump standards-version to 3.9.4.
  * Use canonical host (anonscm.debian.org) in Vcs-* URIs.
  * Build-depend on devscripts, to enable copyright check
    unconditionally: Needed version satisfied even in oldstable.
  * Bump packaging license to GPL-3+, and extend copyrigt coverage for
    myself to include recent years.
  * Update copyright file:
    + Fix use comment and license pseudo-sections in copyright file to
      obey silly restrictions of copyright format 1.0.
    + Fix mention correct version of GPL in licensing comment.
    + Quote license in licensing comment.
    + Bump file format to 1.0.
  * Update watch file to directly track github URL (drop
    githubredir.debian.net proxy).
  * Have git-import-orig filter-out .gitignore files.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 Jun 2013 20:04:58 +0200

node-uuid (1.3.3-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 18 Feb 2012 13:42:58 +0100

node-uuid (1.3.3~201120104-1) unstable; urgency=low

  * New upstream (git-)release.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Jan 2012 15:26:50 +0100

node-uuid (1.3.1~20111202-1) unstable; urgency=low

  * New upstream (git-)release.
  * Update copyright file:
    + Fix use License shortname Expat (not MIT).
    + Fix add License section GPL.
    + Quote license names in Comments.
  * Provide package libjs-node-uuid (not just as virtual package by
    node-node-uuid), to ease installing without Node.
  * Have node-node-uuid depend on (not recommend) nodejs.
  * Improve short and long descriptions.
  * Improve get-orig-source handling for non-tarball-released github
    source.
  * Fix watch file regex: use non-greedy matching.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 24 Dec 2011 13:54:08 +0700

node-uuid (1.2.0~20110510-2) unstable; urgency=low

  * Drop dpkg local-options hints from packaging source: now defaults.
  * Bump debhelper compatilibity level to 7.
  * Rename binary package libnode-node-uuid → node-mode-uuid.
    Replace and conflict with old name.
  * Relax to build-depend unversioned on debhelper: needed version
    satisfied even in oldstable.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 04 Dec 2011 01:40:47 +0700

node-uuid (1.2.0~20110510-1) unstable; urgency=low

  New (git snapshot approximating) upstream release.
  * Update copyright file:
    + Drop duplicate GPL comment.
    + Rewrap license fields at 72 chars, and shorten comments.
  * Fix lowercase plurification UUIDs in long description.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 May 2011 02:36:27 +0200

node-uuid (1.1.0~bf9582-2) unstable; urgency=low

  * Package now team-maintained:
    + Set Debian Javascript Maintainers as maintainer.
    + Set myself as uploader.
  * Bump copyright file format to draft 174 of DEP-5.
  * Bump policy compliance to standards-version 3.9.2.
  * Use uglifyjs (not yui-compressor). Update build-dependencies
    accordingly.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Apr 2011 11:13:31 +0200

node-uuid (1.1.0~bf9582-1) unstable; urgency=low

  * Initial release.
    Closes: Bug#611415.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 29 Jan 2011 01:57:16 +0100
